メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
accounts
List all SaaS accounts of a service
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/accounts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
    "totalItems": 1
  },
  "items": [
    {
      "id": "123#jessica.jones@addresss.com",
      "identityId": "AHF5GF12",
      "username": "jessia-jones",
      "displayName": "Jessia Jones",
      "email": "jessica.jones@address.com",
      "roles": [
        "Member",
        "Admin"
      ],
      "status": "active",
      "employeeStatus": "active",
      "employeeType": "collaborator",
      "employeeManagementType": "system",
      "twoFa": true,
      "uniqueKey": "unique_key",
      "lastActivity": "Mon Jan 24 2022 13:20:31 GMT+0900 (Japan Standard Time)",
      "isInactive": false,
      "licenses": [
        "Basic",
        "Basic Plus",
        "Pro",
        "Business"
      ],
      "workspace": {
        "id": 1,
        "organizationId": 1,
        "serviceId": 1,
        "authenType": "api",
        "workspaceName": "iggre",
        "aggreKey": "iggre",
        "lastExecutionStatus": "processing",
        "lastExecutionTime": "2020-11-11 10:00:00",
        "lastUsedAt": "2020-11-11 10:00:00",
        "lastExecutionResultId": "SUCCESS",
        "lastExecutionResultCode": 200,
        "lastExecutionResultMessage": "NOT_FOUND",
        "provisioningCredentialEnabled": false,
        "description": "Description of the workspace",
        "showDescription": false,
        "isCustomWorkspace": false,
        "deviceAggregationStatus": "finished",
        "service": {
          "id": 1,
          "name": "Google",
          "uniqueName": "google",
          "url": "https://google.com",
          "isEmployeeMasterService": true,
          "adminUrl": "https://admin.google.com/u/0/ac/home",
          "userManagementUrl": "https://admin.google.com/u/0/ac/users",
          "serviceTopUrl": "https://workspace.google.com/products/admin/",
          "guidanceUrl": "https://notion.link/google",
          "serviceAlternateUrls": [
            "www.slides.google.com",
            "www.docs.google.com",
            "www.sheets.google.com"
          ],
          "aggreTypes": [
            {
              "name": "aggregateAll",
              "authenTypes": [
                {
                  "name": "oauth",
                  "requiredAttributes": [
                    "username",
                    "password"
                  ],
                  "optionalAttributes": [
                    "secretKey"
                  ],
                  "permittedAttributes": [
                    "aggreKey"
                  ],
                  "separatelyUpdatableAttributes": [
                    "groups"
                  ],
                  "permissions": [
                    "read-write",
                    "read"
                  ],
                  "variant": "enterprisePlan"
                }
              ]
            }
          ],
          "canDeleteAccount": false,
          "canDeactivateAccount": false,
          "canAggregateSpend": false,
          "canAggregateFiles": false,
          "canManageFilePermissions": false,
          "canOnlyAggregatePublicFiles": false,
          "canAggregateDevices": false,
          "canPerformMatching": true,
          "canProvisionAccount": false,
          "isCustomService": false,
          "isIdentityProvider": false,
          "serviceMeta": {
            "id": 1,
            "vendorName": "Example Vendor",
            "vendorCountryOfOrigin": "Japan",
            "termsOfUseUrl": "https://example.com",
            "privacyPolicyUrl": "https://example.com",
            "dataSecurityPolicyUrl": "https://example.com",
            "certifications": [
              {
                "name": "Example",
                "url": "https://example.com"
              }
            ]
          }
        },
        "workspaceMeta": {
          "id": 1,
          "workspaceId": 1,
          "organizationId": 1,
          "note": "Example note",
          "businessImpactLevel": "low",
          "dataStoreRegion": "ap-northeast-1",
          "piiEnabled": false,
          "pii": "Example note",
          "confidentialInfo": "confidential",
          "securityImpactLevel": "low",
          "vendorName": "Example Vendor",
          "vendorRelationship": "Example Vendor Relationship",
          "vendorPhone": "12345567890",
          "vendorMailAddress": "Example Vendor Mail address"
        },
        "billingManagers": [
          {
            "id": 1,
            "avatar": "avatar",
            "displayName": "Example name",
            "primaryEmail": "Example email"
          }
        ],
        "peopleInCharge": [
          {
            "id": 1,
            "avatar": "avatar",
            "displayName": "Example name",
            "primaryEmail": "Example email"
          }
        ],
        "creator": {
          "id": 1,
          "email": "foo.bar@example.com",
          "name": "foo.bar",
          "location": "jp",
          "roles": [
            {
              "id": 1,
              "name": "Admin"
            }
          ],
          "status": "active"
        },
        "accountCount": 123,
        "identityProviderWorkspaceId": 123,
        "customWorkspaceType": "google_sheet"
      },
      "identity": {},
      "memo": "This account belongs to Jessica",
      "relatedIdentities": {
        "identityHolder": {
          "id": "<string>",
          "displayName": "Display Name",
          "avatar": "<string>",
          "primaryEmail": "primay@email.com"
        },
        "managerHolder": {
          "id": "<string>",
          "displayName": "Display Name",
          "avatar": "<string>",
          "primaryEmail": "primay@email.com"
        }
      },
      "costs": [
        {
          "amount": 100,
          "currency": "usd"
        }
      ],
      "alertType": [
        "retired_account"
      ]
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
serviceId
number
必須

クエリパラメータ

limit
number

Limit the number of results returned. Maximum 200.

必須範囲: x <= 200
:

50

cursor
string

Cursor to paginate through results.

keyword
string

Partial match for name or email address.

sortBy
enum<string>

Sort results by a specific field.

利用可能なオプション:
service,
twoFa,
lastActivity
sortOrder
enum<string>

Sort results in ascending or descending order. Defaults to ASC.

利用可能なオプション:
DESC,
ASC
workspaceIds
number[]

Filter results by workspaceIds. Accepts multiple options.

:
[1]
twoFa
boolean

Filter results by two-factor authentication availability.

roles
enum<string>[]

Filter results by role (not all SaaS support this filter).
admin - only SaaS admin accounts
guest - only SaaS guest accounts
other - SaaS accounts that are neither admin nor guest. Accepts multiple options.

利用可能なオプション:
admin,
guest,
other
serviceRoles
string[]

Filter results by role in the SaaS. Accepts multiple options.

:
["role1", "role2"]
types
enum<string>[]

Filter results by type. Accepts multiple options.

利用可能なオプション:
employee,
guest,
system,
unknown
employeeTypes
enum<string>[]

Filter results by type. Accepts multiple options.

利用可能なオプション:
board_member,
full_time_employee,
fixed_time_employee,
temporary_employee,
part_time_employee,
secondment_employee,
contract_employee,
collaborator,
group_address,
shared_address,
test_address,
other,
unknown,
unregistered
statuses
enum<string>[]

Filter results by status. Accepts multiple options.

利用可能なオプション:
active,
suspended,
on_leave
employeeStatuses
enum<string>[]

Filter results by type. Accepts multiple options.

利用可能なオプション:
active,
on_leave,
draft,
preactive,
retired,
untracked
includeDeleted
boolean

Some services contain accounts marked as deleted. By default this API does not return those accounts. Setting this flag to true will override the default behavior.

expandIdentities
boolean

All people accounts are linked to an identity. By default this API does not return the related identity. Setting this flag to true will override the default behavior.

onlyInactive
boolean

Show accounts that have been inactive for a while

licenses
string[]

Filter results by license. Accepts multiple options.

:
["license1", "license2"]
alertType
enum<string>

Filter results by alert type. Required when alertStatus is set.

利用可能なオプション:
retired_account,
inactive_account,
on_leave_account,
unknown_account,
public_files
alertStatus
enum<string>

Filter results by alert status.

利用可能なオプション:
muted,
unmuted
includeAccountMemo
boolean

Whether to include account memos in the response

workspaceId
number

Filter results by workspaceId. Note: please use workspaceIds instead, this property is deprecated and will be removed in a future version.

status
enum<string>

Filter results by status. Note: please use statuses instead, this property is deprecated and will be removed in a future version.

利用可能なオプション:
active,
suspended,
on_leave

レスポンス

200 - application/json
meta
object
必須
items
object[]
必須
read-only
最終更新日 2026年7月10日